<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[proto_hierarchyp]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[Prototype hierarchy protocol.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
<extends>
<name><![CDATA[hierarchyp]]></name>
<scope>public</scope>
<file><![CDATA[hierarchyp]]></file>
</extends>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[parent/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[parent(?object)]]></template>
<solutions>zero_or_more</solutions>
</mode>
<comment><![CDATA[Returns, by backtracking, all object parents.]]></comment>
<template><![CDATA[parent(Parent)]]></template>
</predicate>
<predicate>
<name><![CDATA[parents/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[parents(-list)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[List of all object parents.]]></comment>
<template><![CDATA[parents(Parents)]]></template>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
